net.sf.statcvs.reportmodel

## Class AuthorIdColumn

- java.lang.Object
- - net.sf.statcvs.reportmodel.Column
  - - net.sf.statcvs.reportmodel.GenericColumn
    - - net.sf.statcvs.reportmodel.AuthorIdColumn

-     public class AuthorIdColumn
      extends GenericColumn

  A table column containing author names
  Version:
    $Id: AuthorIdColumn.java,v 1.2 2008/04/02 11:22:14 benoitx Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorIdColumn()` Creates a new author column

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderCell(int rowIndex, TableCellRenderer renderer)` Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods

    - ### Methods inherited from class net.sf.statcvs.reportmodel.GenericColumn

      `addValue, getRows, getValue, renderHead, renderTotal, setTotal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorIdColumn

          public AuthorIdColumn()

      Creates a new author column

  - ### Method Detail

    - #### renderCell

          public void renderCell(int rowIndex,
                        TableCellRenderer renderer)

      Description copied from class: `Column`
      Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
      Specified by:
        `renderCell` in class `GenericColumn`
      Parameters:
        `rowIndex` - the row number, starting at 0
        `renderer` - the TableCellRenderer to use
      See Also:
        `Column.renderCell(int, net.sf.statcvs.renderer.TableCellRenderer)`